Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

Raspberry Pi 4B not connecting to LabView 2023 Q3 32bit

Solved!
Go to solution

I am facing challenges connecting my Raspberry PI 4B with LabView 2023 Q3 32 bit. Specifically, the issue is related to "Device interrogation failed: Unable to connect to the target.". Here is what I did step by step:

 

1. Installed LabView 2023 Q3 64 bit

2. Flashed the RPI OS onto the SD card

3. Used the ethernet cable to connect the RPI with the PC.

4. Enabled SSH, I2C, SPI on RPI.

5. Obtained the ethernet connection settings (IPv4 address) from the RPI.

6. Used the IPv4 address with a SSH client (puTTY) on the PC. Successfully connected.

7. Disconnected from puTTY

8. Installed LabView 2023 Q3 32 bit

9. Installed LabView Hobbyist kit 2023 Q3 32 bit

10. Created a new blank VI on LabView 2023 Q3 32 bit

11. Went to Tools -> Hobbyist -> Target Configuration

12. Entered the same ethernet IPv4 address from earlier. Entered the username and password for login into RPI.

13. Error encountered: "Device interrogation failed: Unable to connect to the target."

 

Would like to know if anyone else faced similar problems with this LabView version and RPI 4B

0 Kudos
Message 1 of 3
(990 Views)

RRCem,

 

Initially, I had some trouble connecting to RPi 4 B too. If I remember correctly, I fixed it by using Bullseye with Desktop, 32 bit (https://www.raspberrypi.com/software/operating-systems/#raspberry-pi-desktop). After that, I was able to connect with LV 2023 Q3 32-bit. Later, I upgraded to LV 2024 Q1 32-bit with the matching version of the Toolkit and the corresponding version of the LV runtime for RPi, lvrt24-schroot_24.1.0-2.deb (http://feeds.labviewmakerhub.com/debian/binary/). This runtime fixed for me a problem connecting to RPi that was already running an LV startup application.

 

With my current setup, everything seems to run fine on RPi in a startup application, except for web services.

 

Sorry, can't provide anything more definitive: when it comes to RPi, I am still a newbie. Hope this helps though.

 

 

0 Kudos
Message 2 of 3
(967 Views)
Solution
Accepted by topic author RRLVRR

I am new to RPi too, so I was not very familiar with the Bullseye with Desktop. During its startup, I saw some issues (that I don't fully understand).

 

So, I went back and checked the original OS of the RPi. I had originally installed the 64 bit version of the RPi OS.

 

I reformatted the microSD card and reinstalled the 32 bit legacy version of the RPi OS. I tried the same steps to connect to the LabView Hobbyist toolkit, and this time it worked. 

 

Thanks for your quick response, it helped me figure this one out. 

0 Kudos
Message 3 of 3
(930 Views)